#ifndef qbTokensHH
#define qbTokensHH

#include <string>

enum QBtoken
{

/*  scroll down. empty lines have been inserted
 *  to make it easy to look up token numbers from
 *  the source (line number = token number)
 */




















































































































































































































































    UNKNOWN_CHARACTER = 257,
    ABS,
    ACCESS,
    ALIAS,
    AND,
    ANY,
    APPEND,
    AS,
    ASC,
    ATN,
    BINARY,
    BYVAL,
    CALL,
    CASE,
    CDBL,
    CDECL,
    CHDIR,
    CHR_S,
    CINT,
    CIRCLE,
    CLNG,
    CLOSE,
    CLS,
    COLONCHAR,
    COLOR,
    COMMON,
    CONST,
    COS,
    CRLF,
    CSNG,
    CSRLIN,
    CVD,
    CVI,
    CVL,
    CVS,
    DATA,
    DATE_S,
    DECLAREFUNCTION,
    DECLARESUB,
    DEF,
    DEFSEG,
    DIM,
    DO,
    DOUBLE,
    DOUNTIL,
    DOWHILE,
    DRAW,
    ELSE,
    ELSEIF,
    END,
    ENDDEF,
    ENDFUNCTION,
    ENDIF,
    ENDSELECT,
    ENDSUB,
    ENDTYPE,
    ENVIRON_S,
    EQV,
    ERL,
    ERR,
    ERASE,
    ERROR,
    EXITDEF,
    EXITDO,
    EXITFOR,
    EXITFUNCTION,
    EXITSUB,
    EXP,
    FILEATTR,
    FILENUM,
    FILES,
    FIX,
    FNIDENTIFIER,
    FOR,
    FRE,
    FREEFILE,
    FUNCTION,
    GET,
    GOSUB,
    GOTO,
    GREATEROREQUAL,
    HEX_S,
    IDENTIFIER,
    IF,
    IMP,
    INKEY_S,
    INP,
    INPUT,
    INPUT_F,
    INPUT_S,
    INSTR,
    INT,
    INTEGER,
    IS,
    KEY,
    KILL,
    LBOUND,
    LCASE_S,
    LEFT_S,
    LEN,
    LESSOREQUAL,
    LET,
    LINE,
    LINEINPUT,
    LINEINPUT_F,
    LIST,
    LOC,
    LOCATE,
    LOCK,
    LOF,
    LOG,
    LONG,
    LOOP,
    LOOPUNTIL,
    LOOPWHILE,
    LPOS,
    LPRINT,
    LTRIM_S,
    MID_S,
    MKDIR,
    MKD_S,
    MKI_S,
    MKL_S,
    MKS_S,
    MOD,
    NEXT,
    NOT,
    NOTEQUAL,
    NUMBER,
    OCT_S,
    OFF,
    ON,
    ON_KEY,
    ON_PLAY,
    ON_ERROR,
    ON_TIMER,
    OPEN,
    OPTION_BASE,
    OR,
    OUT,
    OUTPUT,
    PAINT,
    PALETTE,
    PALETTE_USING,
    PEEK,
    PLAY,
    POINT,
    POKE,
    POS,
    PRESET,
    PRINT,
    PRINT_F,
    PSET,
    PUT,
    RANDOM,
    RANDOMIZE,
    READ,
    REDIM,
    REM,
    RESTORE,
    RESUME,
    RESUMENEXT,
    RETURN,
    RIGHT_S,
    RMDIR,
    RND,
    RTRIM_S,
    SCREEN,
    SEEK,
    SEG,
    SELECT,
    SHARED,
    SHELL,
    SINGLE,
    SPACE_S,
    SPC,
    SQR,
    STATIC,
    STEP,
    STOP,
    STRING,
    STRINGCONST,
    STRING_S,
    STR_S,
    SUB,
    SYSTEM,
    TAB,
    TAN,
    THEN,
    TIMER,
    TIME_S,
    TO,
    TYPE,
    UBOUND,
    UCASE_S,
    USING,
    VAL,
    VARPTR,
    VARPTR_S,
    VARSEG,
    VIEW,
    VIEWPRINT,
    WAIT,
    WIDTH,
    WIDTH_F,
    WIDTH_LPRINT,
    WRITE,
    XOR
};

const std::string GetTokenName(QBtoken tok);

#endif
